Get all category hierarchies
get
/fscmRestApi/resources/11.13.18.05/categoryHierarchies
Request
Query Parameters
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds the category hierarchy with the specified primary key.
Finder Variables- CategoryId; integer; Value that uniquely identifies the category hierarchy.
- ParentCategoryId; integer; Value that uniquely identifies the parent category hierarchy.
- categoriesByNameDescriptionAndTypeFinder Finds the category hierarchy with the specified hierarchy type and name or description.
Finder Variables- BindCategoryDescription; string; Description of the category hierarchy.
- BindCategoryName; string; Name of the category.
- Type; string; Value that uniquely identifies the hierarchy type.
- childCategoriesByParentCategoryFinder Finds all child categories under the specified parent category.
Finder Variables- BindParentCategoryId; integer; Value that uniquely identifies the parent category.
- itemCategoriesByTypeFinder Finds all item categories with the specified hierarchy type.
Finder Variables- Type; string; Value that uniquely identifies the hierarchy type.
- PrimaryKey Finds the category hierarchy with the specified primary key.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- CategoryId; integer; Value that uniquely identifies the category hierarchy.
- CategoryName; string; Name of the category hierarchy.
- HierarchyType; string; The type of catalog hierarchy. Valid values are - SHOPPING, SUPPLIER, SOURCING.
- ItemCategoryFlag; boolean; Indicates whether the category is a purchasing category. Valid values are - true (purchasing category), false (not a purchasing category). Default is false for browsing categories and true for item categories.
- ParentCategoryId; integer; Value that uniquely identifies the parent category hierarchy.
- SupplierEnabledFlag; boolean; Indicates whether the category is shown in the supplier flow. Valid values are - true (shown), false (not shown).
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : categoryHierarchies
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : categoryHierarchies-item-response
Type:
Show Source
object-
categoryAssignments: array
Category Assignments
Title:
Category AssignmentsDisplays all content types (smart forms or catalogs) assigned to a category in the View Category Assignments page. -
CategoryDescription: string
Title:
DescriptionMaximum Length:255Description of the category hierarchy. -
CategoryId: integer
(int64)
Value that uniquely identifies the category hierarchy.
-
CategoryImageURL: string
Title:
Image URLMaximum Length:240URL that locates the image representing the category, if available. -
CategoryName: string
Title:
Category NameMaximum Length:255Name of the category hierarchy. -
CreatedBy: string
Read Only:
trueMaximum Length:64User who created the category hierarchy. -
CreationDate: string
(date-time)
Read Only:
trueDate and time when the category hierarchy was created. -
FeaturedCategoryFlag: boolean
Maximum Length:
1Indicates whether the category is a top-level category featured on the Create Requisition home page. Valid values are - true (featured), false (not featured), null (value not set). Default is null. -
HierarchyType: string
Maximum Length:
30The type of catalog hierarchy. Valid values are - SHOPPING, SUPPLIER, SOURCING. -
ItemCategoryFlag: boolean
Read Only:
trueMaximum Length:1Indicates whether the category is a purchasing category. Valid values are - true (purchasing category), false (not a purchasing category). Default is false for browsing categories and true for item categories. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate and time when the category hierarchy was most recently updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64User who most recently updated the category hierarchy. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ParentCategoryId: integer
(int64)
Value that uniquely identifies the parent category hierarchy.
-
ParentCategoryName: string
Title:
Parent Category NameRead Only:trueMaximum Length:255Name of the parent category hierarchy. -
SupplierEnabledFlag: boolean
Read Only:
trueMaximum Length:255Indicates whether the category is shown in the supplier flow. Valid values are - true (shown), false (not shown).
Nested Schema : Category Assignments
Type:
arrayTitle:
Category AssignmentsDisplays all content types (smart forms or catalogs) assigned to a category in the View Category Assignments page.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : categoryHierarchies-categoryAssignments-item-response
Type:
Show Source
object-
CategoryAssignmentId: integer
(int64)
Read Only:
trueUnique identifier for the category assignment. -
CategoryId: integer
Read Only:
trueUnique identifier for the category. -
ContentName: string
Title:
Content NameRead Only:trueMaximum Length:250Name of the content. -
ContentType: string
Title:
Content TypeRead Only:trueMaximum Length:80Type of content. Valid values are Smart Form, Informational Catalog, Punchout Catalog, and Local Catalog. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ProcurementBU: string
Read Only:
trueMaximum Length:240Name of the procurement business unit.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Links
- updateFlattenedTables
-
Flattens the category hierarchy data.